Subject: Re: bug#50186: Shell in emacs very annoying using zsh

From: Juri Linkov <[email-masked]>
Date: Fri, 27 Aug 2021 09:10:31 +0300

> You can see there are multi-line "leading info" (sorry for my poor English,
> I mean the characters on the left of the cursor before you enter a command
> in the shell, showing the username and the current directory; I don't know
> what it is called in English), but in bash there is only one line instead.
> I guess this is the key of the problem.

This is called "prompt", and you can change such multi-line prompt in zsh

  PROMPT=$'%~\n%# '

simply by removing \n.  Then the prompt will stay on one line.

In bash there are different shell variable names for prompt,
for example, PS1='\w\n$ ' where you can remove \n too.